# Class yii\web\TooManyRequestsHttpException

Inheritance | yii\web\TooManyRequestsHttpException » yii\web\HttpException » yii\base\UserException » yii\base\Exception » Exception
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/web/TooManyRequestsHttpException.php

TooManyRequestsHttpException represents a "Too Many Requests" HTTP exception with status code 429.

Use this exception to indicate that a client has made too many requests in a given period of time. For example, you would throw this exception when 'throttling' an API user.

See also https://tools.ietf.org/html/rfc6585#section-4.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$statusCode | integer | HTTP status code, such as 403, 404, 500, etc. | yii\web\HttpException

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() | Constructor. | yii\web\TooManyRequestsHttpException
getName() |  | yii\web\HttpException

## Method Details

__construct() public method

Constructor.

public void __construct ( $message = null, $code = 0, Exception $previous = null )
$message | string | Error message
$code | integer | Error code
$previous | Exception | The previous exception used for the exception chaining.